# Account Ely.by

## Развёртывание dev

Предварительно нужно установить [git](https://git-scm.com/downloads),
[docker](https://docs.docker.com/engine/installation/) и его
[docker-compose](https://docs.docker.com/compose/install/).

Сливаем репозиторий:

```sh
git clone git@bitbucket.org:ErickSkrauch/ely.by-account.git account.ely.by.local
cd account.ely.by.local
```

Выполняем первый запуск контейнеров:

```sh
docker-compose up -d
```

Далее нужно влезть в работающие контейнеры и сделать что-нибудь, что их настроит.

### Как влезть в работающий контейнер

Сперва, с помощью команды `docker ps` мы увидим все запущенные контейнеры. Нас интересуют значения из первой колонки
CONTAINER ID. Узнать, чему они соответствуют можно прочитав название IMAGE из 2 колонки. Чтобы выполнить команду
внутри работабщего контейнера, нужно выполнить:

```
docker exec -it a7c267b27f49 /bin/bash
```

Где `a7c267b27f49` - одно из значений из первой колонки. Для выхода из контейнера используем `exit`.

-------------------------

Так вот, нам нужно выполнить ряд команд. Здесь и далее я буду писать имена контейнеров в их соответствии с compose
файлом, но в реалиях их нужно будет заменить на реальные значения:

```sh
# Настройка php контейнера
docker exec -it app php init --env=Docker
docker exec -it app php composer install
docker exec -it app php ./yii migrate --interactive=0

# Настройка node контейнера
docker exec -it node-dev-server npm i
docker exec -it node-dev-server npm --prefix ./webpack i ./webpack
docker exec -it node-dev-server npm --prefix ./scripts i ./scripts

# Настройка rabbitmq контейнера
docker exec -it rabbitmq /init.sh
```

После этого перезапускаем все контейнеры командой:

```sh
docker-compose restart
```

## Тестирование php бэкэнда

```sh
# Прежде чем тестировать, необходимо накатить миграции
docker exec -it app php tests/codeception/bin/yii migrate --interactive=0
# Собрать все тестовые окружения
docker exec -it app ./vendor/bin/codecept build -c tests
# И запустить собственно процесс тестирования
docker exec -it app ./vendor/bin/codecept run -c tests
```
